TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RecFields ( record r ) -> list

### Description

<shortdoc> 'RecFields' returns a list of strings representing all record fields ofthe record <rec>. You must use 'RecFields' if you want to make a selectivecopy of a record for example to delete record fields arising from 'SetRecField'. </shortdoc>

### Examples

r := rec(); i := 2^3-1; s := ConcatenationString( "r", String(i) ); SetRecField( r, s, 0 ); r; RecFields( r );

### See also

Extend ( any ) -> record
Base ( any ) -> any
operations
record
rec ( nof(any) ) -> record

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack